__author__ = 'blaz'


class FlowElem:
    """
    This is the flow element interface.
    """

    def feed_flow(self, document):
        """
        Method should feed the flow processor with document in
        corpus2.Document object and returns the result of processing as
        corpus2.Document
        """
        raise NotImplementedError, 'Put flow processing logic here'